Strichcodes
GET https://qr.gtechgroup.it/api/barcodes/
curl --request GET \
--url 'https://qr.gtechgroup.it/api/barcodes/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qr.gtechgroup.it/api/barcodes/' \
--header 'Authorization: Bearer {api_key}' \
| Parameter | Einzelheiten | Beschreibung |
|---|---|---|
| search | Optional String | Die Suchzeichenkette |
| search_by | Optional String | Nach welchem Feld suchen Sie. Erlaubte Werte sind: name, value |
| type | Optional String | Zulässige Werte: C32, C39, C39+, C39E, C39E+, C93, S25, S25+, I25, I25+, ITF14, C128, C128A, C128B, C128C, EAN2, EAN5, EAN8, EAN13, UPCA, UPCE, MSI, MSI+, POSTNET, PLANET, TELEPENALPHA, TELEPENNUMERIC, RMS4CC, KIX, IMB, CODABAR, CODE11, PHARMA, PHARMA2T |
| datetime_field | Optional String | Zulässige Werte: datetime, last_datetime |
| datetime_start | Optional String | Filterergebnisse ab diesem Datum und dieser Uhrzeit. Y-m-d H:i:s Format. |
| datetime_end | Optional String | Filterergebnisse bis zu diesem Datum und dieser Uhrzeit. Y-m-d H:i:s Format. |
| order_by | Optional String | Nach welchem Feld die Ergebnisse sortiert werden sollen. Zulässige Werte sind: barcode_id, datetime, last_datetime, name, type |
| order_type | Optional String | Die Reihenfolge der Ergebnisse. Zulässige Werte sind: ASC für aufsteigende Sortierung und DESC für absteigende Sortierung |
| page | Optional Ganzzahl | Die Seitennummer, von der Sie Ergebnisse möchten. Standardmäßig ist 1 |
| results_per_page | Optional Ganzzahl | Wie viele Ergebnisse möchten Sie pro Seite haben. Erlaubte Werte sind: 10, 25, 50, 100, 250, 500, 1000. Standardmäßig ist 25 eingestellt. |
{
"data": [
{
"id": 1,
"type": "C32",
"name": "Example name",
"value": "123456",
"barcode": "https://qr.gtechgroup.it/uploads/barcode/example.svg",
"settings": {
"foreground_color": "#000000",
"width_scale": 2,
"height": 50,
},
"embedded_data": "123456",
"last_datetime": null,
"datetime": "2026-06-27 22:32:40",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://qr.gtechgroup.it/api/barcodes?page=1",
"last": "https://qr.gtechgroup.it/api/barcodes?page=1",
"next": null,
"prev": null,
"self": "https://qr.gtechgroup.it/api/barcodes?page=1"
}
}
GET https://qr.gtechgroup.it/api/barcodes/{barcode_id}
curl --request GET \
--url 'https://qr.gtechgroup.it/api/barcodes/{barcode_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qr.gtechgroup.it/api/barcodes/{barcode_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "C32",
"name": "Example name",
"value": "123456",
"barcode": "https://qr.gtechgroup.it/uploads/barcode/example.svg",
"settings": {
"foreground_color": "#000000",
"width_scale": 2,
"height": 50,
},
"embedded_data": "123456",
"last_datetime": null,
"datetime": "2026-06-27 22:32:40",
}
}
POST https://qr.gtechgroup.it/api/barcodes
| Parameter | Einzelheiten | Beschreibung |
|---|---|---|
| project_id | Optional Ganzzahl | - |
| name | Erforderlich String | - |
| type | Erforderlich String | Zulässige Werte: C32, C39, C39+, C39E, C39E+, C93, S25, S25+, I25, I25+, ITF14, C128, C128A, C128B, C128C, EAN2, EAN5, EAN8, EAN13, UPCA, UPCE, MSI, MSI+, POSTNET, PLANET, TELEPENALPHA, TELEPENNUMERIC, RMS4CC, KIX, IMB, CODABAR, CODE11, PHARMA, PHARMA2T |
| is_bulk | Optional Boolescher | |
| value | Erforderlich String | - |
| display_text | Optional Boolescher | - |
| foreground_color | Optional String | - |
| background_color | Optional String | - |
| width_scale | Optional Ganzzahl | 1-10 |
| height | Optional Ganzzahl | 30-1000 |
| Parameter | Einzelheiten | Beschreibung |
|---|---|---|
curl --request POST \
--url 'https://qr.gtechgroup.it/api/barcodes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
--url 'https://qr.gtechgroup.it/api/barcodes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
{
"data": {
"id": 1
}
}
POST https://qr.gtechgroup.it/api/barcodes/{barcode_id}
| Parameter | Einzelheiten | Beschreibung |
|---|---|---|
| project_id | Optional String | - |
| name | Optional String | - |
| type | Optional String | Zulässige Werte: C32, C39, C39+, C39E, C39E+, C93, S25, S25+, I25, I25+, ITF14, C128, C128A, C128B, C128C, EAN2, EAN5, EAN8, EAN13, UPCA, UPCE, MSI, MSI+, POSTNET, PLANET, TELEPENALPHA, TELEPENNUMERIC, RMS4CC, KIX, IMB, CODABAR, CODE11, PHARMA, PHARMA2T |
| value | Erforderlich String | - |
| display_text | Optional Boolescher | - |
| foreground_color | Optional String | - |
| background_color | Optional String | - |
| width_scale | Optional Ganzzahl | 1-10 |
| height | Optional Ganzzahl | 30-1000 |
curl --request POST \
--url 'https://qr.gtechgroup.it/api/barcodes/{barcode_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
--url 'https://qr.gtechgroup.it/api/barcodes/{barcode_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
{
"data": {
"id": 1
}
}
DELETE https://qr.gtechgroup.it/api/barcodes/{barcode_id}
curl --request DELETE \
--url 'https://qr.gtechgroup.it/api/barcodes/{barcode_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qr.gtechgroup.it/api/barcodes/{barcode_id}' \
--header 'Authorization: Bearer {api_key}' \